import express from "express";
import { submitTransaction,getAllTransaction,
    getReferalCount,
    // getUnclaimedTasks, 
    // getTransactionHistoryForUser, 
    progressReport,
    claimTaskReward } from "#controllers/TransactionHistory.controller";

const TransactionHistoryRoutes = express();

// Transaction routes
TransactionHistoryRoutes.post('/submitTransaction', submitTransaction);
// TransactionHistoryRoutes.get('/transactions/user/:userId', getTransactionHistoryForUser);
TransactionHistoryRoutes.post('/claimTaskReward', claimTaskReward);
TransactionHistoryRoutes.get('/getAllTransaction', getAllTransaction);
TransactionHistoryRoutes.get('/progressReport/:id', progressReport);
TransactionHistoryRoutes.get('/getReferalCount/:id', getReferalCount);

export default TransactionHistoryRoutes;